DocumentsGet document changes

Get document changes

Returns history of changes for the given documents.

curl -X POST "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/documents/changes" \
  -H "Content-Type: application/json" \
  -H "api_key: YOUR_API_KEY" \
  -d '{
  "data": {
    "documents": [
      {
        "documentId": "tAMAUmjewZ7SHXoDi8ax"
      }
    ]
  }
}'
{
  "success": true,
  "code": "APP_INCORRECT_INPUT_DATA",
  "data": [
    {
      "documentId": "example_string",
      "changes": [
        {
          "createdAt": "2024-12-25T10:00:00Z",
          "createdBy": {
            "email": "user@example.com"
          },
          "changedFields": [
            {
              "field": "example_string",
              "before": "example_string",
              "after": "example_string"
            }
          ]
        }
      ]
    }
  ]
}
POST
/v2/documents/changes
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: api_key)
api_keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
api_keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
dataobject

Responses

successboolean

Was operation successful

codestring
  • APP_INCORRECT_INPUT_DATA - The provided documents list is invalid (empty, more than 10 documents or a document does not belong to the organization).
  • APP_INSUFFICIENT_PERMISSIONS - The API key or user does not have permission to read document changes for the organization.
  • APP_READ_DATA_ERROR - Status indicates an undefined error occurred while attempting to read data from the application.
Allowed values:APP_UNAUTHENTICATEDAPP_INCORRECT_INPUT_DATAAPP_INSUFFICIENT_PERMISSIONSAPP_READ_DATA_ERROR
dataarray